> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audit Settings



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /settings/audit
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /settings/audit:
    get:
      tags:
        - settings
      summary: Get Audit Settings
      operationId: settings-get_audit_settings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditSettingsRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    AuditSettingsRead:
      properties:
        audit_webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Audit Webhook Url
        audit_webhook_custom_headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Audit Webhook Custom Headers
        audit_webhook_custom_payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Audit Webhook Custom Payload
        audit_webhook_payload_attribute:
          anyOf:
            - type: string
            - type: 'null'
          title: Audit Webhook Payload Attribute
        audit_webhook_verify_ssl:
          type: boolean
          title: Audit Webhook Verify Ssl
          default: true
        decryption_failed_keys:
          items:
            type: string
          type: array
          title: Decryption Failed Keys
          description: >-
            Encrypted setting keys that could not be decrypted with the current
            encryption key and must be reconfigured.
      type: object
      required:
        - audit_webhook_url
      title: AuditSettingsRead
      description: Settings for audit logging.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````